<?php
// By Scott Thompson from Burnsville Weather LIVE!
// Version 6.00 10-Nov-2010 - Initial Version 6 release
// Version 6.01 14-Nov-2010 - Changes to remove snow season months and add more choices to display
// Version 6.20 25-Jun-2011 - Changes to remove some configuration confusion and add abilities for future
// Version 6.50 13-Nov-2011 - Change to add LEAF and SOIL measurements option.
// Version 6.60 17-Mar-2012 - Added Tide Display and ability for Lightning to Over-ride Snow or Tide
// Version 6.70 16-May-2012 - Added SI Footnote and better notes on record high/lows as well as WU usage
// Version 6.71 12-Sep-2012 - Enabled the Feels Like or Wind Chill/Heat Index option.  Added option to hide soil mosture 
//                            readings if you have only temp probes and not mositure. 
// Version 6.80 12-Feb-2013 - Added minimum temperatures before displaying WindChill and Heat Index under Main Temp
//                            Added option for second refresh display at bottom of display.  Added URL for Storm Pred Graphic
// Version 6.81 17-Mar-2013 - Fixed lost CBI/FWI switch from version 6.80, Added option for Yesterday High/Low.  NOTE:  MUST
//                            BE USED WITH ajaxWDwx.js VERSION 3.XX.  *** SEE NOTES IN ARCHIVE ***
// Version 6.83 14-Sep-2013 - Added SPC Image to Config File. Minior changes to System Start Date and Footnotes
// Version 6.90 27-Oct-2013 - Added switch for $useSymSPC type sunshine hours graphic, changed footnotes.  Added new Record Date
//                            Format setting independant of WD since there are so many issues with the format.  Added option for heated rain gage.
//                            Added support for multiple languages inthe Date format see note below
// Version 6.92 09-Feb-2014 - Change for Station start date                           
//                                                                                                                                                                 
// Configuration for Alternative Ajax-Dashboard6.php
//
// Important!  All file paths are in relation to the web root folder.  See Below.
//
// Settings for Feels Like Section (***You can set one or the other or BOTH if you wish!!!)
$useFL     = true;            // Set to false if you do not want to show the "Feels Like" Temperature above the colored word under the Temperature
$useHC     = true;            // Set to true if you want to show Heat Index and Wind Chill here instead
$MWC       = '4.4';            // Set to 40 for F and 4.4 for C
$MHI       = '26.6';            // Set to 80 for F and 26.6 for C
//
// Settings for FIRE INDEX & STORM PREDICTION GRAPHIC - TOP ROW UNDER FORECAST     (***ONLY ONE OF THE FOLLOWING MUST BE TRUE!!!)
$useFWI    = false;            // Set to true to display Fire Weather Index
                              // (MUST BE FALSE IF CHANDLER BURNING INDEX IS ON!!!)
$useCBI    = true;           // Set to true to display Chandler Burning Index
                              // (MUST BE FALSE IF FIRE WEATHER INDEX IS ON!!!)
$fwi_url   = "wxusfswfas.php";           // Page to link to when user clicks on FWI Link.  See http://www.wxforum.net/index.php?topic=18814.0 
                              //
$use5DAYLINK = false;         //  Set to true if you want to link to your WXSim 5-day forecast page
$spc_img    = 'http://www.spc.noaa.gov/products/activity_loop.gif';     // Actual Image to be displayed for Storm Prediction Center Graphic. (Not link to site, link to image from site)
$spc_url    = 'http://www.spc.noaa.gov/';                               // Set to Url that loads when Storm Prediction Center graphic is clicked. May be left blank ('')

//  Settings for THIRD SECTION - SECOND COLUMN  (***ONLY SNOW and TIDE can NOT be both set to TRUE!!!!)
// Setting all three to FALSE will display "COMING SOON" with a blank section below it.
$useLIGT   = false;           // set to true to show lightning counts when there is no snow on the ground.
                              // (if true, Lightning will over-ride TIDE display if more then $minLcnt (set below) is reached in 5 mins)
$useSNOW   = false;            // Normally always TRUE unless you want TIDE to Display. SNOW & TIDE CANNOT BE BOTH TRUE!!!
                              // Snow will over-ride the lightning section if you have snow on the ground.
$useTIDE   = true;           // Set to True to display TIDE information.
                              // Lightning will over-ride Tide.  SNOW & TIDE CANNOT BE BOTH TRUE!!!
$S3C2      = '2';             // Over-ride status:  If Lightning is TRUE, this allows Lightning to over-ride either Tide or Snow
                              // Set as follows:
                              // 0 = None Shows (All three previous setting are FALSE)
                              // 1 = Just Snow No Lightning over-ride (Snow must be set to TRUE)
                              // 2 = Just Tide No Lightning over-ride (Tide must be set to TRUE)
                              // 3 = Just Lightning (Lightning must be set to TRUE)
                              // 4 = Snow with Lightning Over-ride (SNOW and LIGHTNING must be set to TRUE)
                              // 5 = Tide with Lightning Over-ride (TIDE and LIGHTNING must be set to TRUE)
// Settings for LAST ROW - COLUMN TWO     (***ONLY ONE OF THE FOLLOWING SHOULD BE TRUE!!!!)
$useET     = false;            // Set to true if you want ET to show *AND* you have solar!!!
                              // (ET Does NOT calculate if you don't have solar!!)
$useBCH    = false;           // Set to true if you don't want ET or don't have solar and can't show ET.
                              // It will put in a blank colum heading and a blank column.
$useDNT    = true;           // Set to true if you don't want ET or don't have solar and can't show ET.
                              // But want to use the DONATION option for the column instead
                              // NOTE if all three are false, nothing will display and your headings will be messed up.
                              // If more then one are ture, you will have one messed up display!
$useSNOW2  = false;           // set to false to never show snow here section (if true, $useDONATE below must be false or the display will be screwed up!)
                              // NORMALLY not ever true as SNOW is in row 3 Column 2 normally
$useRefresh2 = false;         // Normally set to false.  Set to tru if you want an option to refresh or toggle measurements towards the end of the display too.
$heatedRainGauge = false;     // Use Precip instead of Rain during Winter Months - Useful for heated rain gauges.
$use_historical = true;      // historical rain fall

//  NOTE if both FWI and CBI are false, nothing will display.  If both are ture, you will have one messed up display!


//  NEW in version 6.90  Set date format for Record Dates
$RecDateF      = '3';          // Set to desired date format for Record High/Low Dates 
                               //   1 =  Dec-25-2013
                               //   2 =  25-Dec-2013
                               //   3 =  25/12/2013
                               //   4 =  12/25/2013
                               //   7 =  12-25-2013
                               //   8 =  25-12-2013
$ShortDateF    = '6';          // Set format of Month and Day only formats
                               //   5 =  Dec-25
                               //   6 =  25-Dec
                               //
$haveUV        = false;         // set to false if no UV sensor
$haveSolar     = false;         // set to false if no Solar sensor
$useSISwitch   = false;	       // set to false if no SI switching is desired
$useWM2SI      = true;	       // set to false to use solar percent as default SI
$WXtags        = 'testtags.php';            // source of our weather variables
$fcstorg       = 'WU';                     // default forecast organization ('NWS','EC','WU','WXSIM')
$fcstscript    = 'advforecast2.php';        // default forecast script
                                            // NWS - 'advforecast2.php', EC - 'ec-forecast.php',
                                            // WU - 'WU-forecast.php', WXSIM - 'plaintext-parser.php',
$UVscript      = 'get-UV-forecast-inc.php'; // worldwide forecast script for UV Index
                                            // comment out above line to exclude UV forecast
$DavisVP       = true; 	       // set to false if weather station is not a Davis VP
$showSnow      = false;	       // set to false if Snow values not recorded manually in WD
$decimalComma  = false;        // set to true to process numbers with a comma for a decimal point

$FireImage   = 'png';          // Set to match the images you have for the Fire Index (jpg, gif, png)
$useCloudImg = true;           // Set to true to replace Outlook to Bashewa Weather's Cloud-base Image routines

$useSTAhilo = true;           // Use Stations Records under the Temperature.
                               // Set to True ONLY if you have over 2 years live data.  (WILL NOT WORK OTHERWISE - USE WU below)
                               // This setting has no effect on the Station Record HIGH/LOW Icon.
$useWU     = false;             // Use Weather Underground Records for a Site Closest to You.
                               // Set to true if you have UNDER 2years of data on your station.
                               // This is based on Weather Underground Records.  (Setup WU under View, Wunderground Almanac) 
                               // This no longer has any effect on the New Record HIGH/LOW icon.
$useYHL    = true;             // Yesterday's High and Low Option.  Useful if you don't have 2 years of data yet! NEW with V6.80
$useORHL   = false;             // Use Official Record HIGH/LOW Icons:
                               // Set to true if using Weather Underground Records on your site and you want Record High & Lows to Display    
$useSRHL   = false;            // Use Station Record HIGH/LOW Icons:
                               // Set to true ONLY if you have more then 4-5 years of data or else it will display almost daily!!!
$minLcnt   = '30';             // Minimum Lightning count in last 5 minutes to over-ride SNOW or TIDE Display - Default is 30 (set to 1000 if never over-ride)
$useRainGraph = true;          // Set to true to show WD's Rain Graph (Must have File #7 on customize internet and file creation setup screen to upload)
$RainGraphImage = 'raintoday.gif';          // set to image name to display (Will set it to width of 178px automatically) default is 'raintoday.gif'
$useSunlightPie = true;        // Use Sunlight Pie Chart from Steve Fitzgerald and Jerry Wilkins
$useSymSPC = true;             // When true, the top and bottom of the Sunlight Pie Chart grow and shrink.  When false only the top grows and shrinks.
$useAQI    = true;             // Must be set to true if using Air Quality Index, set to False to leave blank or put in your own code!
$coolVal   = '18.33';             // Temperature to Switch view to Cooling Degree Days rather then Heating usually 18.33C or 65F
$useVPfc   = true;             // Set to true if you wish to display the Vantage Pro Forecast
$useEXTf   = true;             // Set to false to not display the extra forecast days
$useVPst   = true;             // Set to false to not display Vantage Pro status messages below snow section.
$use1WIR   = true;             // Set to false if you use NexStorm lightning detection rather then 1-wire.
$useNEX    = false;            // Set to true to display NexStorm's Distance and direction of last strike.
$useLEAF   = false;             // Set to true to display LEAF #1 Moisture readings.
$useSOIL   = false;            // Set to true to display SOIL moisture.
$SOILcnt   = '4';              // Set to number of soil moisture/temp sensor pairs you have in use (0-4)
$SOILlvl1  = '4';              // Set to the level of your first soil probe (shallowest)
$SOILlvl2  = '10';             // Set to the level of your second soil probe     |
$SOILlvl3  = '18';             // Set to the level of your third soil probe      V 
$SOILlvl4  = '36';             // Set to the level of your fourth soil probe (Deepest)
$uomMoist  = ' cb';            // Unit of measure for moisture in soil (cb or Kpa).  Default is cb = centibar (Include space before)
$hideSM1   = false;            // Hide Soil Moisture #1 on display.  Set to 'false' unless you don't have a soil moisture but do have temp
$hideSM2   = false;            // Hide Soil Moisture #2 on display.  Set to 'false' unless you don't have a soil moisture but do have temp
$hideSM3   = false;            // Hide Soil Moisture #3 on display.  Set to 'false' unless you don't have a soil moisture but do have temp
$hideSM4   = false;            // Hide Soil Moisture #4 on display.  Set to 'false' unless you don't have a soil moisture but do have temp
$wrHeight = '75';              // windrose graphic height=  (default is 74)
$wrWidth  = '75';              // windrose graphic width=   (default is 74)
$SStartYr = '2010';            // Year station first started collecting data.  (ie: 2007)
$SStartMo = '6';              // Month station first started collecting data. (eg, '4' without leading zero)
$SStartDay = '8';              // Day of month station first started collecting data (eg, '30')
$SStartUpDay = $SStartMo . '/' . $SStartYr; // Station Startup day of year (Month & Day)

$showSnowTemp  = '33';	       // display Snow instead of Rain when temp (F) is <= this temperature.
$useDONATE = false;             // Set to true and fill in the paypal setting in the main script to use a donation button under
                               // the ET section.  Make sure this is FALSE if you have useDNT set to TRUE above or
                               // If using SNOW2 in place of ET, this MUST be FALSE!!!!
$showMob = false;               // Show Mobile button on main site
$mainsite = "index.php";        // Path and name of main site for mobile site's button to display full dashboard
$mobilesite = "WWL-mobile.php"; // Path and name of mobile site for main site's dashboard button to display mobile site

// NOTICE
// 
// Language translation for month names are located in the main dashboard script in the function section towards the end of the code
// do a search for:  function mon_no($Tmonth).  Version 6.90 has the month names for the following languages built into it:
// English, Danish, Dutch, Finnish, French, German, German (Swiss), Italian, Norwegian, Polish, Spanish, Swedish


// optional settings for the Wind Rose graphic in ajaxwindiconwr as wrName . winddir . wrType
$wrName        = 'wr-';              // first part of the graphic filename (followed by winddir to complete it)
$wrType        = '.png';             // extension of the graphic filename
$wrCalm        = 'wr-calm.png';      // set to full name of graphic for calm display ('wr-calm.gif')

//
//  NOTE:  The following are the footnotes specified in the code.  Replace each footnote with your wording.
//         The text here is NOT translated so be sure to put it in your language!

$Foot1    = langtransstr('Rain season: Jan 1st to Dec 31st');  // Rain season is usually Jan-Dec
$Foot2    = langtransstr('Snow season July 1st to June 30th'); // Snow season is usually July to June or Jan to Dec
$Foot3    = langtransstr('Snow manually measured usually around 7AM and 7PM');  // What times you measure snow
$Foot4    = langtransstr('Updated at Noon Central Time');  // Time ET is updated.  In WD it is at NOON!
//           Footnote 5 is the description of the Irrigation Index
$Foot5    = langtransstr('Estimated amount of water needed to replace the water used by plants and evaporation from the past week. (Negative numbers mean amount of water needed, positive numbers mean excess water is present)');
//           Footnote 6 is the description of the Air Quality Index.  Be sure to give credit to the agency you get your reading from!
$Foot6    = langtransstr('Air Quality Index is provided by Minnesota Polution Control Agency and is updated hourly between the hours of 6AM and Midnight');
$Foot7    = langtransstr('Leaf Wetness is surface moisture on foliage.  0 being totally dry and 15 being totally saturated');
$Foot8    = langtransstr('Soil moisture and temperatures are from sensors burried in the ground at the levels specified');
$Foot9    = langtransstr('Solar Index represents either an absolute scale of solar energy (W/m&sup2;) using the station&rsquo;s recorded maximum or a percentage of computed theoretical solar maximum using the station&rsquo;s location and time of day.  These indices differ most when the sun is low on the horizon. The current scale is shown, and will toggle if it or the icon is clicked');
$today = getdate();
$month = $today[month];
$day = $today[mday];
$Foot10   = langtransstr('Historical average only to day ').$day.langtransstr(' of just the month of ').$month.langtransstr(' for this station since ').((date('z')>$SStartUpDay)?$SStartYr:$SStartYr+1);
$Foot11   = langtransstr('Historical average rain this season to day ').$day.langtransstr(' of ').$month.langtransstr(' for this station since ').((date('z')>$SStartUpDay)?$SStartYr:$SStartYr+1);
//
//  NOTE:  The following are the TIDE specified in the code.  
//   

$tidefile = "tideprediction.html";//   Set the server path to your tideprediction.html file
$yearDate = "no";//   If your tide dates include years (Monday 2008-09-10) change this to "yes" 
//   You can convert "Rising & Falling" format to standard "High & Low"         //
//   by changing the following to "yes".                                        //
$convertRF = "no";
// timezone offset hours server time vs. tides time
$time_offset_next_tide = 0; // You may need different values here depending if your server is in a different timezone
?>
